> For the complete documentation index, see [llms.txt](https://docs.ecwid.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ecwid.com/api-reference/rest-api/categories.md).

# Categories

- [Search categories](https://docs.ecwid.com/api-reference/rest-api/categories/search-categories.md)
- [Search categories by path](https://docs.ecwid.com/api-reference/rest-api/categories/search-categories-by-path.md)
- [Get category](https://docs.ecwid.com/api-reference/rest-api/categories/get-category.md)
- [Update category](https://docs.ecwid.com/api-reference/rest-api/categories/update-category.md)
- [Create category](https://docs.ecwid.com/api-reference/rest-api/categories/create-category.md)
- [Delete category](https://docs.ecwid.com/api-reference/rest-api/categories/delete-category.md)
- [Category images](https://docs.ecwid.com/api-reference/rest-api/categories/category-images.md)
- [Upload category image](https://docs.ecwid.com/api-reference/rest-api/categories/category-images/upload-category-image.md)
- [Upload category image (async)](https://docs.ecwid.com/api-reference/rest-api/categories/category-images/upload-category-image-async.md)
- [Delete category image](https://docs.ecwid.com/api-reference/rest-api/categories/category-images/delete-category-image.md)
- [Manage order of categories in the store](https://docs.ecwid.com/api-reference/rest-api/categories/manage-order-of-categories-in-the-store.md)
- [Get order of categories](https://docs.ecwid.com/api-reference/rest-api/categories/manage-order-of-categories-in-the-store/get-order-of-categories.md)
- [Update order of categories](https://docs.ecwid.com/api-reference/rest-api/categories/manage-order-of-categories-in-the-store/update-order-of-categories.md)
- [Manage order of products in the category](https://docs.ecwid.com/api-reference/rest-api/categories/manage-order-of-products-in-the-category.md)
- [Get order of products](https://docs.ecwid.com/api-reference/rest-api/categories/manage-order-of-products-in-the-category/get-order-of-products.md)
- [Update order of products](https://docs.ecwid.com/api-reference/rest-api/categories/manage-order-of-products-in-the-category/update-order-of-products.md)
- [Assign products to the category](https://docs.ecwid.com/api-reference/rest-api/categories/manage-order-of-products-in-the-category/assign-products-to-the-category.md)
- [Unassign products from the category](https://docs.ecwid.com/api-reference/rest-api/categories/manage-order-of-products-in-the-category/unassign-products-from-the-category.md)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.ecwid.com/api-reference/rest-api/categories.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
